about summary refs log tree commit diff
path: root/configs/shared/gpg/.gnupg/import.sh
diff options
context:
space:
mode:
authorWilliam Carroll <wpcarro@gmail.com>2019-03-11T18·00+0000
committerWilliam Carroll <wpcarro@gmail.com>2019-03-11T18·00+0000
commiteaf42b68c25e9bfdb2e5f62f9e9bd460405071d9 (patch)
treeab1841ec8e4f14245fcc5c9a9d158af0ee39ad61 /configs/shared/gpg/.gnupg/import.sh
parente774ce5d1c8ddb62fc62c69719390eff1c4f50b0 (diff)
Better support GPG migrations
After yet another unpleasant experience starting up GPG on a new system, I
decided to encode my learnings and mistakes as aliases, functions, scripts,
hoping to protect my future me from myself. Fingers crossed!
Diffstat (limited to 'configs/shared/gpg/.gnupg/import.sh')
-rw-r--r--configs/shared/gpg/.gnupg/import.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/configs/shared/gpg/.gnupg/import.sh b/configs/shared/gpg/.gnupg/import.sh
new file mode 100644
index 000000000000..9fb9be64f060
--- /dev/null
+++ b/configs/shared/gpg/.gnupg/import.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -e
+
+# Run this script to import all of the information exported by `export.sh`.
+# Usage: ./export.sh path/to/directory
+
+gpg --import "$1/public.asc"
+gpg --import "$1/secret.asc"
+gpg --import-ownertrust "$1/ownertrust.txt"
+
+# Run this at the end to output some verification
+gpg --list-keys